### Name: coding
### Title: combines two or more surrogate/auxiliary variables into a vector
### Aliases: coding
### Keywords: utilities

### ** Examples


## Not run: The CASS2 data set in Reilly (1996) has 2 categorical first-stage 
##D variables in columns 2 (sex) and 3 (categorical weight). The predictor 
##D variables are  column 2 (sex) and columns 4-9 and the response variable 
##D is in column 1 (mort). See help(cass2) for further details. 
##D 
##D The commands
## End(Not run)
data(cass2)
coding(x=cass2[,c(2,4:9)],y=cass2[,1], z=cass2[,2:3])

## Not run: give the following coding scheme and first-stage and second-stage 
##D sample sizes (n1 and n2 respectively)
##D 
##D [1] "For calls requiring n1 or prev as input, use the following order"
##D       ylevel sex wtcat new.z n2
##D  [1,]      0   0     1     1 10
##D  [2,]      0   1     1     2 10
##D  [3,]      0   0     2     3 10
##D  [4,]      0   1     2     4 10
##D  [5,]      0   0     3     5 10
##D  [6,]      0   1     3     6 10
##D  [7,]      1   0     1     1  8
##D  [8,]      1   1     1     2 10
##D  [9,]      1   0     2     3 10
##D [10,]      1   1     2     4 10
##D [11,]      1   0     3     5 10
##D [12,]      1   1     3     6 10
## End(Not run)



